Package org.eclipse.lemminx.extensions.contentmodel.participants

## Enum XMLSchemaErrorCode

- java.lang.Object
- - java.lang.Enum<XMLSchemaErrorCode>
  - - org.eclipse.lemminx.extensions.contentmodel.participants.XMLSchemaErrorCode

All Implemented Interfaces:
  `Serializable`, `Comparable<XMLSchemaErrorCode>`, `IXMLErrorCode`

    public enum XMLSchemaErrorCode
    extends Enum<XMLSchemaErrorCode>
    implements IXMLErrorCode

XML Schema error code.

### Enum Constant Summary

Enum Constants
`cvc_attribute_3`
`cvc_complex_type_2_1`
`cvc_complex_type_2_2`
`cvc_complex_type_2_3`
`cvc_complex_type_2_4_a`
`cvc_complex_type_2_4_b`
`cvc_complex_type_2_4_c`
`cvc_complex_type_2_4_d`
`cvc_complex_type_2_4_f`
`cvc_complex_type_3_1`
`cvc_complex_type_3_2_2`
`cvc_complex_type_4`
`cvc_datatype_valid_1_2_1`
`cvc_datatype_valid_1_2_3`
`cvc_elt_1_a`
`cvc_elt_3_1`
`cvc_elt_3_2_1`
`cvc_elt_4_2`
`cvc_enumeration_valid`
`cvc_maxExclusive_valid`
`cvc_maxInclusive_valid`
`cvc_maxlength_valid`
`cvc_minExclusive_valid`
`cvc_minInclusive_valid`
`cvc_minlength_valid`
`cvc_pattern_valid`
`cvc_type_3_1_1`
`cvc_type_3_1_2`
`cvc_type_3_1_3`
`DuplicateUnique`
`schema_reference_4`
`SchemaLocation`
`src_element_3`
`TargetNamespace_1`
`TargetNamespace_2`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static XMLSchemaErrorCode` `get​(String name)`
`String` `getCode()` Returns the XML error code.
`static void` `registerCodeActionParticipants​(Map<String,​ICodeActionParticipant> codeActions, SharedSettings sharedSettings)`
`static org.eclipse.lsp4j.Range` `toLSPRange​(org.apache.xerces.xni.XMLLocator location, XMLSchemaErrorCode code, Object[] arguments, DOMDocument document)` Create the LSP range from the SAX error.
`String` `toString()`
`static XMLSchemaErrorCode` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static XMLSchemaErrorCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### cvc_complex_type_2_3

    public static final XMLSchemaErrorCode cvc_complex_type_2_3

#### cvc_complex_type_2_2

    public static final XMLSchemaErrorCode cvc_complex_type_2_2

#### cvc_complex_type_2_1

    public static final XMLSchemaErrorCode cvc_complex_type_2_1

#### cvc_complex_type_2_4_a

    public static final XMLSchemaErrorCode cvc_complex_type_2_4_a

#### cvc_complex_type_2_4_b

    public static final XMLSchemaErrorCode cvc_complex_type_2_4_b

#### cvc_complex_type_2_4_c

    public static final XMLSchemaErrorCode cvc_complex_type_2_4_c

#### cvc_complex_type_2_4_d

    public static final XMLSchemaErrorCode cvc_complex_type_2_4_d

#### cvc_complex_type_2_4_f

    public static final XMLSchemaErrorCode cvc_complex_type_2_4_f

#### cvc_complex_type_3_1

    public static final XMLSchemaErrorCode cvc_complex_type_3_1

#### cvc_complex_type_3_2_2

    public static final XMLSchemaErrorCode cvc_complex_type_3_2_2

#### cvc_complex_type_4

    public static final XMLSchemaErrorCode cvc_complex_type_4

#### cvc_datatype_valid_1_2_1

    public static final XMLSchemaErrorCode cvc_datatype_valid_1_2_1

#### cvc_datatype_valid_1_2_3

    public static final XMLSchemaErrorCode cvc_datatype_valid_1_2_3

#### cvc_elt_1_a

    public static final XMLSchemaErrorCode cvc_elt_1_a

#### cvc_elt_3_1

    public static final XMLSchemaErrorCode cvc_elt_3_1

#### cvc_elt_3_2_1

    public static final XMLSchemaErrorCode cvc_elt_3_2_1

#### cvc_elt_4_2

    public static final XMLSchemaErrorCode cvc_elt_4_2

#### cvc_pattern_valid

    public static final XMLSchemaErrorCode cvc_pattern_valid

#### cvc_type_3_1_1

    public static final XMLSchemaErrorCode cvc_type_3_1_1

#### cvc_type_3_1_2

    public static final XMLSchemaErrorCode cvc_type_3_1_2

#### cvc_type_3_1_3

    public static final XMLSchemaErrorCode cvc_type_3_1_3

#### cvc_attribute_3

    public static final XMLSchemaErrorCode cvc_attribute_3

#### cvc_enumeration_valid

    public static final XMLSchemaErrorCode cvc_enumeration_valid

#### cvc_maxlength_valid

    public static final XMLSchemaErrorCode cvc_maxlength_valid

#### cvc_minlength_valid

    public static final XMLSchemaErrorCode cvc_minlength_valid

#### cvc_maxExclusive_valid

    public static final XMLSchemaErrorCode cvc_maxExclusive_valid

#### cvc_maxInclusive_valid

    public static final XMLSchemaErrorCode cvc_maxInclusive_valid

#### cvc_minExclusive_valid

    public static final XMLSchemaErrorCode cvc_minExclusive_valid

#### cvc_minInclusive_valid

    public static final XMLSchemaErrorCode cvc_minInclusive_valid

#### DuplicateUnique

    public static final XMLSchemaErrorCode DuplicateUnique

#### TargetNamespace_1

    public static final XMLSchemaErrorCode TargetNamespace_1

#### TargetNamespace_2

    public static final XMLSchemaErrorCode TargetNamespace_2

#### SchemaLocation

    public static final XMLSchemaErrorCode SchemaLocation

#### schema_reference_4

    public static final XMLSchemaErrorCode schema_reference_4

#### src_element_3

    public static final XMLSchemaErrorCode src_element_3

### Method Detail

#### values

    public static XMLSchemaErrorCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (XMLSchemaErrorCode c : XMLSchemaErrorCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static XMLSchemaErrorCode valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getCode

    public String getCode()

Description copied from interface: `IXMLErrorCode`
Returns the XML error code.

Specified by:
  `getCode` in interface `IXMLErrorCode`
Returns:
  the XML error code.

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<XMLSchemaErrorCode>`

#### get

    public static XMLSchemaErrorCode get​(String name)

#### toLSPRange

    public static org.eclipse.lsp4j.Range toLSPRange​(org.apache.xerces.xni.XMLLocator location,
                                                     XMLSchemaErrorCode code,
                                                     Object[] arguments,
                                                     DOMDocument document)

Create the LSP range from the SAX error.

Parameters:
  `location` -
  `key` -
  `arguments` -
  `document` -
Returns:
  the LSP range from the SAX error.

#### registerCodeActionParticipants

    public static void registerCodeActionParticipants​(Map<String,​ICodeActionParticipant> codeActions,
                                                      SharedSettings sharedSettings)